.\" $NetBSD: groupinfo.8,v 1.11 2005/11/25 08:00:18 agc Exp $ */
.\"
.\" Copyright (c) 1999 Alistair G. Crooks.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the author may not be used to endorse or promote
.\"    products derived from this software without specific prior written
.\"    permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS
.\" OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
.\" DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
.\" GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
.\" WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
.\" NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
.\" SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\"
.Dd November 7, 2005
.Dt GROUPINFO 8
.Os
.Sh NAME
.Nm groupinfo
.Nd displays group information
.Sh SYNOPSIS
.Nm
.Op Fl ev
.Ar group
.Sh DESCRIPTION
The
.Nm
utility retrieves the group information from the system.
The
.Nm
utility is only available if built with
.Dv EXTENSIONS .
See
.Xr group 8
for more information.
.Pp
The following command line options are recognised:
.Bl -tag -width Ds
.It Fl e
Return 0 if the group exists, and non-zero if the
group does not exist, on the system.
No information is displayed.
This form of the command is useful for
scripts which need to check whether a particular group
name or gid is already in use on the system.
.It Fl v
Perform any actions in a verbose manner.
.El
.Pp
The
.Ar group
argument may either be a group's name, or a gid.
.Sh EXIT STATUS
.Ex -std groupinfo
.Sh FILES
.Bl -tag -width /etc/usermgmt.conf -compact
.It Pa /etc/usermgmt.conf
.El
.Sh SEE ALSO
.Xr passwd 5 ,
.Xr group 8
.Sh HISTORY
The
.Nm
utility first appeared in
.Nx 1.5 .
It is based on the
.Ar addnerd
package by the same author.
.Sh AUTHORS
The
.Nm
utility was written by
.An Alistair G. Crooks
.Aq agc@NetBSD.org .
